Bug 128619

Summary: Web Inspector: DataGrid should support editing tables with arbitrary columns
Product: WebKit Reporter: BJ Burg <bburg>
Component: Web InspectorAssignee: BJ Burg <bburg>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, graouts, joepeck, timothy, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Attachments:
Description Flags
patch
none
heavily revised patch none

Description BJ Burg 2014-02-11 13:28:50 PST
The current editing and cell advance code has the columns for DOMStorageView hardcoded. We should be using column identifiers and
Comment 1 Radar WebKit Bug Importer 2014-02-11 13:29:18 PST
<rdar://problem/16040498>
Comment 2 BJ Burg 2014-02-11 14:04:33 PST
Created attachment 223900 [details]
patch
Comment 3 BJ Burg 2014-02-12 15:18:36 PST
Created attachment 224015 [details]
heavily revised patch
Comment 4 WebKit Commit Bot 2014-02-13 13:33:05 PST
Comment on attachment 224015 [details]
heavily revised patch

Clearing flags on attachment: 224015

Committed r164052: <http://trac.webkit.org/changeset/164052>
Comment 5 WebKit Commit Bot 2014-02-13 13:33:07 PST
All reviewed patches have been landed.  Closing bug.